Bug 440587

Summary: F-9 pv_ops xen: oops during yum update on x86_64
Product: [Fedora] Fedora Reporter: Mark McLoughlin <markmc>
Component: kernel-xen-2.6Assignee: Eduardo Habkost <ehabkost>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: berrange, ehabkost, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-xen-2.6.25-0.19.rc8.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-10 09:23:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 434756    

Description Mark McLoughlin 2008-04-04 04:30:10 EDT
Just saw this with 2.6.25-0.15.rc8.fc9.x86_64 while downloading packages during
a yum update:

BUG: unable to handle kernel paging request at ffff880000648000
IP: [<ffffffff802c0134>] page_zero_new_buffers+0xcd/0x150
PGD 13bf067 PUD 13c0067 PMD 80000000013c4067 PTE 8010000000648065
Oops: 0003 [1] 
CPU 0 
Modules linked in: rfcomm l2cap bluetooth autofs4 sunrpc nf_conntrack_ipv4
ipt_REJECT iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack
xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6
loop dm_multipath joydev xen_netfront pcspkr dm_snapshot dm_zero dm_mirror
dm_mod xen_blkfront ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded:
microcode]
Pid: 1779, comm: yum Not tainted 2.6.25-0.15.rc8.fc9.x86_64.xen #1
RIP: e030:[<ffffffff802c0134>]  [<ffffffff802c0134>]
page_zero_new_buffers+0xcd/0x150
RSP: e02b:ffff880015c8bac8  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff8800080e76e0 RCX: 0000000000001000
RDX: 6db6db6db6db6db7 RSI: 0000000000001000 RDI: ffff880000648000
RBP: ffff880015c8bb08 R08: 0000000000000000 R09: ffff8800014d9fc0
R10: ffff880000000008 R11: ffff88000168b940 R12: 0000000000001000
R13: ffff8800014d9fc0 R14: 0000000000001000 R15: 0000000000000000
FS:  00007fcdebf196f0(0000) GS:ffffffff805fb000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff880000648000 CR3: 0000000015cc4000 CR4: 0000000000002620
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process yum (pid: 1779, threadinfo ffff880015c8a000, task ffff880015cbc000)
Stack:  0000000000001000 ffff8800080e76e0 ffff8800080e76e0 0000000000000000
 0000000000000000 ffff8800014d9fc0 ffff880008100190 ffff8800014d9fc0
 ffff880015c8bb38 ffffffff802c01f2 0000000000000000 ffff880008100190
Call Trace:
 [<ffffffff802c01f2>] block_write_end+0x3b/0x58
 [<ffffffff88034d56>] :ext3:ext3_ordered_write_end+0xbf/0x11c
 [<ffffffff80276f18>] generic_file_buffered_write+0x1be/0x6c6
 [<ffffffff80233987>] ? current_fs_time+0x22/0x29
 [<ffffffff802f555c>] ? security_inode_need_killpriv+0x11/0x13
 [<ffffffff8027798a>] __generic_file_aio_write_nolock+0x35c/0x390
 [<ffffffff80277a27>] generic_file_aio_write+0x69/0xc5
 [<ffffffff880323c4>] :ext3:ext3_file_write+0x1e/0x9e
 [<ffffffff8029e2aa>] do_sync_write+0xe7/0x12d
 [<ffffffff8024327f>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff802fd289>] ? selinux_file_permission+0x10f/0x118
 [<ffffffff802f55df>] ? security_file_permission+0x11/0x13
 [<ffffffff8029ebdc>] vfs_write+0xae/0x157
 [<ffffffff8029ed49>] sys_write+0x47/0x6f
 [<ffffffff80210f1a>] system_call_after_saveargs+0x38/0x3d
 [<ffffffff80487730>] ? xen_system_call_entry+0x0/0x35


Code: 48 89 d0 48 ba b7 6d db b6 6d db b6 6d 48 c1 f8 03 48 0f af c2 48 c1 e0 0c
48 01 c7 48 b8 00 00 00 00 00 88 ff ff 48 01 c7 31 c0 <f3> aa 65 48 8b 04 25 10
00 00 00 ff 88 44 e0 ff ff 0f ba 2b 00 
RIP  [<ffffffff802c0134>] page_zero_new_buffers+0xcd/0x150
 RSP <ffff880015c8bac8>
CR2: ffff880000648000
Comment 1 Mark McLoughlin 2008-04-04 04:38:29 EDT
Seems to be quite reproducible - I've rebooted and restarted the update a few
times and after downloading a few megs, I got the same oops both times
Comment 2 Eduardo Habkost 2008-04-07 14:59:03 EDT
This should be solved on kernel-xen-2.6-2.6.25-0.17.rc8.fc9.

The Oops I was getting wasn't exactly the one in this bug's description, but I 
hope it had the same cause.
Comment 3 Mark McLoughlin 2008-04-10 09:23:21 EDT
Okay, confirmed fixed with kernel-xen-2.6.25-0.20.rc8.fc9

(Not yet tagged for F9, but will be soon)